/** @jsx jsx */
/// <reference types="react" />
import PropTypes from 'prop-types';
export declare const useTableContext: () => never;
export declare const Table: {
    ({ striped, bordered, children, overrides: componentOverrides, ...rest }: any): JSX.Element;
    propTypes: {
        /**
         * Striped mode
         */
        striped: PropTypes.Requireable<boolean>;
        /**
         * Bordered mode
         */
        bordered: PropTypes.Requireable<boolean>;
        /**
         * The override API
         */
        overrides: PropTypes.Requireable<PropTypes.InferProps<{
            Table: PropTypes.Requireable<PropTypes.InferProps<{
                styles: PropTypes.Requireable<(...args: any[]) => any>;
                component: PropTypes.Requireable<PropTypes.ReactComponentLike>;
                attributes: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
            Caption: PropTypes.Requireable<PropTypes.InferProps<{
                styles: PropTypes.Requireable<(...args: any[]) => any>;
                component: PropTypes.Requireable<PropTypes.ReactComponentLike>;
                attributes: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
            Tbody: PropTypes.Requireable<PropTypes.InferProps<{
                styles: PropTypes.Requireable<(...args: any[]) => any>;
                component: PropTypes.Requireable<PropTypes.ReactComponentLike>;
                attributes: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
            Td: PropTypes.Requireable<PropTypes.InferProps<{
                styles: PropTypes.Requireable<(...args: any[]) => any>;
                component: PropTypes.Requireable<PropTypes.ReactComponentLike>;
                attributes: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
            Tfoot: PropTypes.Requireable<PropTypes.InferProps<{
                styles: PropTypes.Requireable<(...args: any[]) => any>;
                component: PropTypes.Requireable<PropTypes.ReactComponentLike>;
                attributes: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
            Th: PropTypes.Requireable<PropTypes.InferProps<{
                styles: PropTypes.Requireable<(...args: any[]) => any>;
                component: PropTypes.Requireable<PropTypes.ReactComponentLike>;
                attributes: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
            Thead: PropTypes.Requireable<PropTypes.InferProps<{
                styles: PropTypes.Requireable<(...args: any[]) => any>;
                component: PropTypes.Requireable<PropTypes.ReactComponentLike>;
                attributes: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
            Tr: PropTypes.Requireable<PropTypes.InferProps<{
                styles: PropTypes.Requireable<(...args: any[]) => any>;
                component: PropTypes.Requireable<PropTypes.ReactComponentLike>;
                attributes: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
        }>>;
    };
    defaultProps: {
        bordered: boolean;
        striped: boolean;
    };
};
export declare const defaultProps: {
    bordered: boolean;
    striped: boolean;
};
